import React from 'react';
import { Layout, Spin } from 'antd';
import { Outlet, useLocation } from "react-router-dom";
import PageTransition from './PageTransition';

const { Content } = Layout;

export default (props) => {
  const location = useLocation()

  return (
    <Content>
      <PageTransition location={location}>
        <Outlet />
      </PageTransition>
    </Content>
  )
}
